EnKash Developer Portal
Home
Home
Login
  1. Order
  • Back to home
  • APIs - Payment Gateway
  • Authorization
    • Generate Authorization Token
    • Payment Modes Details
  • Order
    • UPI Intent Links
      GET
    • Get Dynamic UPI QR
      GET
    • Create Order
      POST
    • Get Order Status
      GET
    • Get Order By Merchant Order Id
      GET
    • Get BNPL Payment Methods
      GET
    • Search Order
      POST
  • Payment
    • Get Transaction Status
    • Submit Payment Request
    • Payment Notify Request
    • Verify UPI VPA
    • Validate OTP
    • Get UPI Transaction Status
    • Resend OTP
    • Search Transaction
  • Refund
    • Refund
    • Get Refund Transaction Status
    • Refund Webhook Request
  • Settlement
    • Get Settlement Payout By ID
    • Search Settlement Payouts
  • Split Settlement
    • Get All Split Settlement Account
    • Deactivate Split Settlement Account
    • Submit Payment with Split Details
    • Activate Split Settlement Account
    • Edit Or Deferred Split Settlement
    • Create Split Settlement Account
    • Update Split Settlement Account
    • Get IntentLink/QrCode with Split details
  • E-Commerce Plugins
  • UPI QR
    • Create UPI QR
    • Get UPI QR
    • Search UPI QR
    • Create Customer
    • Search Customer
    • Cancel UPI QR
  • UPI Autopay
    • Mocking & Simulator (UAT)
    • Create UPI Mandate
    • Update UPI Mandate
    • Revoke UPI Mandate
    • Get UPI Mandate
    • UPI Mandate Callback
    • Mandate Pre-debit Notification
    • Execute Mandate Debit
    • Mandate Debit Callback
  • Payment Links
    • Payment Link APIs
    • Create Payment Link
    • Get Payment Link Details
    • Delete Payment Link
    • Webhook Request
  • E-Collect
    • Create Virtual Account
    • View Virtual Account by Id
    • Update Virtual Account
    • View Virtual Account by Account Number
    • Search Virtual Account
    • Search Transactions
    • View Virtual Account by Customer Reference Id
  1. Order

Search Order

POST
/order/search
📌
Use this API to search and retrieve orders associated with your merchant account. Supports pagination and sorting to help you efficiently filter and manage order records within your application.

Request

Query Params

Header Params

Body Params application/jsonRequired

Example
{
    "orderIds": [
        "ORD123456"
    ],
    "merchantOrderId": "MORD_001",
    "merchantUniqueId": 141,
    "amountFrom": 10.5,
    "amountTo": 5000,
    "status": "ATTEMPTED",
    "type": "SALE",
    "merchantDetailId": "MD1LU8ZG5RUUUZZA",
    "requestSource": "API",
    "consentTransaction": true,
    "productCode": "DEFAULT",
    "chargesFrom": 1,
    "chargesTo": 100,
    "customerEmail": "customer@example.com",
    "customerPhone": "9876543210",
    "createdFrom": "2024-01-01 00:00:00",
    "createdTo": "2024-12-31 23:59:59",
    "lastModifiedFrom": "2024-01-01 00:00:00",
    "lastModifiedTo": "2024-12-31 23:59:59",
    "productId": "PG001"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://olympus-pg-uat.enkash.in/order/search?offset=0&limit=10&orderBy=id&direction=DESC' \
--header 'Authorization;' \
--header 'merchantAccessKey;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "orderIds": [
        "ORD123456"
    ],
    "merchantOrderId": "MORD_001",
    "merchantUniqueId": 141,
    "amountFrom": 10.5,
    "amountTo": 5000,
    "status": "ATTEMPTED",
    "type": "SALE",
    "merchantDetailId": "MD1LU8ZG5RUUUZZA",
    "requestSource": "API",
    "consentTransaction": true,
    "productCode": "DEFAULT",
    "chargesFrom": 1,
    "chargesTo": 100,
    "customerEmail": "customer@example.com",
    "customerPhone": "9876543210",
    "createdFrom": "2024-01-01 00:00:00",
    "createdTo": "2024-12-31 23:59:59",
    "lastModifiedFrom": "2024-01-01 00:00:00",
    "lastModifiedTo": "2024-12-31 23:59:59",
    "productId": "PG001"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "response_code": 0,
    "response_message": "Success",
    "payload": {
        "recordsCount": 22821,
        "data": [
            {
                "orderId": "ORD1761641489688yWNgF",
                "created": "2025-10-28 14:21:29",
                "lastModified": "2025-10-28 14:21:29",
                "merchantOrderId": "ENK250115111122111259999",
                "amount": 20.00,
                "notifyUrl": "9999999999",
                "status": "ATTEMPTED",
                "merchantName": "Priyanka Tech",
                "productCode": "DEFAULT"
            },
            {
                "orderId": "ORD1761634569168V1sf7",
                "created": "2025-10-28 12:26:09",
                "lastModified": "2025-10-28 12:26:09",
                "merchantOrderId": "RANDOMID129",
                "amount": 100.00,
                "status": "PAID",
                "merchantName": "Jnana Inventive Private Limited",
                "productCode": "DEFAULT"
            },
            {
                "orderId": "ORD1761632947038bYKQ2",
                "created": "2025-10-28 11:59:07",
                "lastModified": "2025-10-28 11:59:07",
                "merchantOrderId": "17616329464177308363",
                "amount": 148.00,
                "notifyUrl": "9892322922",
                "status": "PAID",
                "merchantName": "Meenal Subhasis Majumder",
                "productCode": "DEFAULT"
            },
            {
                "orderId": "ORD1761629455767cRraa",
                "created": "2025-10-28 11:00:55",
                "lastModified": "2025-10-28 11:00:55",
                "merchantOrderId": "17616294557488607757",
                "amount": 148.00,
                "notifyUrl": "9892322922",
                "status": "PAID",
                "merchantName": "Meenal Subhasis Majumder",
                "productCode": "DEFAULT"
            },
            {
                "orderId": "ORD1761579076202suGHX",
                "created": "2025-10-27 21:01:16",
                "lastModified": "2025-10-27 21:01:16",
                "merchantOrderId": "17615790756520541805",
                "amount": 295.00,
                "notifyUrl": "9989545670",
                "status": "PAID",
                "merchantName": "Meenal Subhasis Majumder",
                "productCode": "DEFAULT"
            },
            {
                "orderId": "ORD1761579071462GHVFo",
                "created": "2025-10-27 21:01:11",
                "lastModified": "2025-10-27 21:01:11",
                "merchantOrderId": "17615790703327399974",
                "amount": 590.00,
                "notifyUrl": "9000090000",
                "status": "PAID",
                "merchantName": "Meenal Subhasis Majumder",
                "productCode": "DEFAULT"
            },
            {
                "orderId": "ORD1761570944399lyqRm",
                "created": "2025-10-27 18:45:44",
                "lastModified": "2025-10-27 18:45:44",
                "merchantOrderId": "RANDOMID1216",
                "amount": 100.00,
                "status": "PAID",
                "merchantName": "Jnana Inventive Private Limited",
                "productCode": "DEFAULT"
            },
            {
                "orderId": "ORD17615705518644ijWI",
                "created": "2025-10-27 18:39:11",
                "lastModified": "2025-10-27 18:39:11",
                "merchantOrderId": "RANDOMID1215",
                "amount": 100.00,
                "status": "PAID",
                "merchantName": "Jnana Inventive Private Limited",
                "productCode": "DEFAULT"
            },
            {
                "orderId": "ORD1761570435942Um6Mw",
                "created": "2025-10-27 18:37:15",
                "lastModified": "2025-10-27 18:37:15",
                "merchantOrderId": "RANDOMID1214",
                "amount": 100.00,
                "status": "PAID",
                "merchantName": "Jnana Inventive Private Limited",
                "productCode": "DEFAULT"
            },
            {
                "orderId": "ORD1761570261102WMCTa",
                "created": "2025-10-27 18:34:21",
                "lastModified": "2025-10-27 18:34:21",
                "merchantOrderId": "RANDOMID1213",
                "amount": 100.00,
                "status": "PAID",
                "merchantName": "Jnana Inventive Private Limited",
                "productCode": "DEFAULT"
            }
        ]
    }
}
🔴504Bad Gateway
Modified at 2026-05-19 12:03:51
Previous
Get BNPL Payment Methods
Next
Payment
Built with